nxt

## Class ShufflingTransaction

- java.lang.Object
- - nxt.TransactionType
  - - nxt.ShufflingTransaction

-     public abstract class ShufflingTransaction
      extends TransactionType

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class nxt.TransactionType

      `TransactionType.AccountControl, TransactionType.ColoredCoins, TransactionType.Data, TransactionType.DigitalGoods, TransactionType.Messaging, TransactionType.Payment`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TransactionType` | `SHUFFLING_CANCELLATION`
    `static TransactionType` | `SHUFFLING_CREATION`
    `static TransactionType` | `SHUFFLING_PROCESSING`
    `static TransactionType` | `SHUFFLING_RECIPIENTS`
    `static TransactionType` | `SHUFFLING_REGISTRATION`
    `static TransactionType` | `SHUFFLING_VERIFICATION`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canHaveRecipient()`
    `byte` | `getType()`
    `boolean` | `isPhasingSafe()`

    - ### Methods inherited from class nxt.TransactionType

      `findTransactionType, getLedgerEvent, getName, getSubtype, isPhasable, mustHaveRecipient, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SHUFFLING_CREATION

          public static final TransactionType SHUFFLING_CREATION

    - #### SHUFFLING_REGISTRATION

          public static final TransactionType SHUFFLING_REGISTRATION

    - #### SHUFFLING_PROCESSING

          public static final TransactionType SHUFFLING_PROCESSING

    - #### SHUFFLING_RECIPIENTS

          public static final TransactionType SHUFFLING_RECIPIENTS

    - #### SHUFFLING_VERIFICATION

          public static final TransactionType SHUFFLING_VERIFICATION

    - #### SHUFFLING_CANCELLATION

          public static final TransactionType SHUFFLING_CANCELLATION

  - ### Method Detail

    - #### getType

          public final byte getType()

      Specified by:
        `getType` in class `TransactionType`

    - #### canHaveRecipient

          public final boolean canHaveRecipient()

      Specified by:
        `canHaveRecipient` in class `TransactionType`

    - #### isPhasingSafe

          public final boolean isPhasingSafe()

      Specified by:
        `isPhasingSafe` in class `TransactionType`